Oore CI
ReferenceAPIOperationsNotification Channels

Update notification channel

Updates an existing notification channel. Omitted fields are preserved.

Operation IDupdate_notification_channel
PUT
/v1/settings/notification-channels/{id}

Updates an existing notification channel. Omitted fields are preserved.

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Channel ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/v1/settings/notification-channels/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "channel": {    "channel_type": "webhook",    "created_at": 0,    "created_by": "string",    "enabled": true,    "events": [      "string"    ],    "has_secret": true,    "has_smtp_config": true,    "has_url": true,    "id": "string",    "name": "string",    "updated_at": 0  }}